ChangeSet 1.1722.97.60, 2004/06/09 11:10:52-07:00, stern@rowland.harvard.edu

[PATCH] USB: Update root-hub code for the ohci-lh7a404 driver

On Wed, 9 Jun 2004, David Brownell wrote:

> Needs an update for ohci-lh7a404.c too ...

I didn't even know this driver existed!  Where did usb/host/* come from?



Signed-off-by: Alan Stern <stern@rowland.harvard.edu>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 usb/host/ohci-lh7a404.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)


diff -Nru a/usb/host/ohci-lh7a404.c b/usb/host/ohci-lh7a404.c
--- a/usb/host/ohci-lh7a404.c	Fri Jun 18 10:57:03 2004
+++ b/usb/host/ohci-lh7a404.c	Fri Jun 18 10:57:03 2004
@@ -191,7 +191,6 @@
  */
 void usb_hcd_lh7a404_remove (struct usb_hcd *hcd, struct platform_device *dev)
 {
-	struct usb_device	*hub;
 	void *base;
 
 	pr_debug ("remove: %s, state %x", hcd->self.bus_name, hcd->state);
@@ -199,11 +198,10 @@
 	if (in_interrupt ())
 		BUG ();
 
-	hub = hcd->self.root_hub;
 	hcd->state = USB_STATE_QUIESCING;
 
 	pr_debug ("%s: roothub graceful disconnect", hcd->self.bus_name);
-	usb_disconnect (&hub);
+	usb_disconnect (&hcd->self.root_hub);
 
 	hcd->driver->stop (hcd);
 	hcd->state = USB_STATE_HALT;
